﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Raven.Client;
using Raven.Client.Documents;
using Raven.Client.Documents.Changes;
using Raven.Client.Documents.Indexes;
using Raven.Client.Documents.Operations.Indexes;
using Raven.Client.Documents.Session;
using Raven.Client.Server;
using Raven.Client.Server.Operations;
using Raven.Client.Server.Operations.ApiKeys;

namespace ConsoleApplication1
{
	public class Program
	{	
		static void Main(string[] args)
		{
			var documentStore = new DocumentStore { Urls = new[] { "http://localhost:8081" }, Database = null };
			documentStore.Initialize();

			var dbRecord = new DatabaseRecord("TestDatabase")
				               {
					               Settings = new Dictionary<string, string>()
				               };

			documentStore.Admin.Server.Send(new CreateDatabaseOperation(dbRecord));
		}
	}
}
